> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /api/v1/inventory/&#123;id&#125;/release

> POST /api/v1/inventory/&#123;id&#125;/release

### Path parameters

<ParamField path="id" type="string" required>
  Inventory item id or item number
</ParamField>

### Request body

JSON body of type `ReleaseInventoryRequest`.

### Responses

<ResponseField name="200" type="ApiResponse_InventoryLocation">
  Inventory released
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/inventory/{id}/release' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "location_id": 1,
      "location_name": "Main Warehouse",
      "quantities": {
        "allocated": "30",
        "available": "270",
        "on_hand": "300"
      },
      "updated_at": "2024-12-09T10:30:00Z",
      "version": 5
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
